scala.tools.nsc.typechecker.ContextErrors

# NamesDefaultsErrorsGen

#### object NamesDefaultsErrorsGen

Source
  ContextErrors.scala

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. NamesDefaultsErrorsGen
2. AnyRef
3. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def AmbiguousReferenceInNamesDefaultError(arg: Global.Tree, name: Global.Name)(implicit context: Analyzer.Context): Global.Tree

5. #### def DoubleParamNamesDefaultError(arg: Global.Tree, name: Global.Name, pos: Int, otherName: Option[Global.Name])(implicit context: Analyzer.Context): Global.Tree

6. #### def NameClashError(sym: Global.Symbol, arg: Global.Tree)(implicit context: Analyzer.Context): Unit

7. #### def PositionalAfterNamedNamesDefaultError(arg: Global.Tree)(implicit context: Analyzer.Context): Global.Tree

8. #### def UnknownParameterNameNamesDefaultError(arg: Global.Tree, name: Global.Name)(implicit context: Analyzer.Context): Global.Tree

9. #### def WarnAfterNonSilentRecursiveInference(param: Global.Symbol, arg: Global.Tree)(implicit context: Analyzer.Context): Unit

10. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

11. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

12. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

16. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

17. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

18. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### final def notify(): Unit

    Definition Classes
      AnyRef

20. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

21. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

22. #### def toString(): String

    Definition Classes
      AnyRef → Any

23. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped